Name:           perl-Smart-Comments
Summary:        Comments that do more than just sit there
Epoch:          1
Version:        1.0.4
Release:        5%{?dist}
License:        GPL+ or Artistic
Group:          Development/Libraries
Source0:        http://search.cpan.org/CPAN/authors/id/C/CH/CHORNY/Smart-Comments-%{version}.tar.gz 
URL:            http://search.cpan.org/dist/Smart-Comments
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:      noarch

BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Filter::Simple) >= 0.8
BuildRequires:  perl(List::Util)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Text::Balanced) >= 2
BuildRequires:  perl(version)

Requires:       perl(Data::Dumper)
Requires:       perl(Filter::Simple) >= 0.8
Requires:       perl(List::Util)
Requires:       perl(Text::Balanced) >= 2
Requires:       perl(version)


%{?perl_default_filter}
%{?perl_default_subpackage_tests}

%description
Smart comments provide an easy way to insert debugging and tracking code into
a program. They can report the value of a variable, track the progress of a
loop, and verify that particular assertions are true.

Best of all, when you're finished debugging, you don't have to remove them.
Simply commenting out the use Smart::Comments line turns them back into
regular comments. Leaving smart comments in your code is smart because if you
needed them once, you'll almost certainly need them again later.


%prep
%setup -q -n Smart-Comments-%{version}

perl -pi -e 's|^#!perl -T|#!%{_perl}|' t/*

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf %{buildroot}

make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} +
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*


%check
make test


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Fri Jun 17 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1:1.0.4-5
- Perl mass rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 22 2010 Marcela Maslanova <mmaslano@redhat.com> - 1:1.0.4-3
- 661697 rebuild for fixing problems with vendorach/lib

* Thu May 06 2010 Marcela Maslanova <mmaslano@redhat.com> - 1:1.0.4-2
- Mass rebuild with perl-5.12.0

* Sun Mar 14 2010 Chris Weyl <cweyl@alumni.drew.edu> 1:1.0.4-1
- update by Fedora::App::MaintainerTools 0.006
- updating to latest GA CPAN version (1.0.4)
- altered br on perl(Filter::Simple) (0 => 0.8)
- altered br on perl(Text::Balanced) (0 => 2)
- dropped old BR on perl(Test::Pod)
- dropped old BR on perl(Test::Pod::Coverage)
- added a new req on perl(Data::Dumper) (version 0)
- added a new req on perl(Filter::Simple) (version 0.8)
- added a new req on perl(List::Util) (version 0)
- added a new req on perl(Text::Balanced) (version 2)
- added a new req on perl(version) (version 0)

* Sat Feb 06 2010 Chris Weyl <cweyl@alumni.drew.edu> 1:v1.0.3-6
- add perl_default_filter, etc
- PERL_INSTALL_ROOT => DESTDIR
- drop t/ from doc

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1:v1.0.3-5
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:v1.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:v1.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1:v1.0.3-2
Rebuild for new perl

* Sat Mar 01 2008 Chris Weyl <cweyl@alumni.drew.edu> 1:v1.0.3-1
- update to v1.0.3
- update lic tag
- add epoch, to move away from the 1.000... representation of the version

* Tue Mar 27 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.000002-4
- be more explicit with core requires

* Thu Aug 31 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.000002-3
- bump for mass rebuild

* Sun Aug 06 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.000002-2
- bump for build & release

* Sun Aug 06 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.000002-1
- Initial spec file for F-E
